Library Version 18.1.40

DB_MULTIPLE_WRITE_NEXT
Prev | Chapter 4. The DBT Handle | Next

## DB_MULTIPLE_WRITE_NEXT

    #include <db.h>

    DB_MULTIPLE_WRITE_NEXT(void *pointer, DBT *dbt, void *data,
        size_t dlen);

Appends a data item to the bulk buffer.

### Parameters

#### pointer

The pointer parameter is a variable that must have been initialized by a call to DB_MULTIPLE_WRITE_INIT.

This parameter is set to NULL if the data item does not fit in the buffer.

#### dbt

The dbt parameter is a DBT structure initialized with DB_MULTIPLE_WRITE_INIT.

#### data

A pointer to the bytes to be copied into the bulk buffer.

#### dlen

The number of bytes to be copied.

### Class

DBT

### See Also

DBT and Bulk Operations

Prev | Up | Next
DB_MULTIPLE_WRITE_INIT | Home | DB_MULTIPLE_RESERVE_NEXT